Difference between revisions of "Arch Rebar LShape/it"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{GuiCommand/it|Name=Arch Rebar Straight|Name/it=Armatura a L|Workbenches=Arch|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=Arch_Rebar/i...")
 
 
(61 intermediate revisions by 4 users not shown)
Line 1: Line 1:
{{GuiCommand/it|Name=Arch Rebar Straight|Name/it=Armatura a L|Workbenches=[[Arch Module/it|Arch]]|MenuLocation=Arch → Strumenti armatura|Shortcut=None|SeeAlso=[[Arch_Rebar/it|Armatura]], [[Arch_Rebar_Straight/it|Armatura dritta]], [[Arch_Rebar_UShape/it|Armatura a U]], [[Arch_Rebar_BentShape/it|Armatura sagomata]], [[Arch_Rebar_Stirrup/it|Staffe armatura]], [[Arch_Rebar_Helical/it|Armatura elicoidale]]}}
+
<languages/>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/it
 +
|[[Arch_Rebar_UShape/it|Armatura ad U]]
 +
|[[Arch_Rebar_BentShape/it|Armatura sagomata]]
 +
|[[Arch_Workbench/it|Arch]]
 +
|IconL=Arch_Rebar_UShape.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Rebar_BentShape.svg
 +
}}
 +
</div>
 +
 
 +
<div class="mw-translate-fuzzy">
 +
{{GuiCommand/it
 +
|Name=Arch_Rebar_LShape
 +
|Name/it=Armatura a L
 +
|MenuLocation=Arch → Strumenti armatura → Armatura a L o BIM → 3D/BIM → Reinforcement → LShape Rebar
 +
|Workbenches=[[Arch Workbench/it|Arch]], [[BIM Workbench/it|BIM]]
 +
|SeeAlso=[[Arch_Rebar_BentShape/it|Armatura sagomata]], [[Arch Rebar/it|Armature]]
 +
|Version=0.17
 +
}}
 +
</div>
  
 
==Descrizione==
 
==Descrizione==
Lo strumento {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} consente all'utente di creare una barra di rinforzo piegata a L (un gancio) nell'elemento strutturale.
 
  
[[Image:LShapeRebarNew.png]]
+
Lo strumento  [[Arch Rebar LShape/it|Armatura a L]] consente all'utente di creare un set di barre d'armatura a forma di L all'interno di un oggetto [[Arch Structure/it|Struttura]].
 +
 
 +
Lo strumento '''Armatura a L''' è anche integrato in [[BIM_Workbench/it|BIM]].
 +
 
 +
<div class="mw-translate-fuzzy">
 +
Questo comando fa parte dell'ambiente [[Reinforcement Workbench/it|Reinforcement]], un [[External workbenches/it|ambiente esterno]] che si può installare con [[Image:Std_AddonMgr.svg|24px]] [[Std_AddonMgr/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
 +
</div>
  
==Uso==
+
[[Image:Arch_Rebar_LShape_example.png|400px]]
 +
{{Caption|Quattro serie di barre di rinforzo a forma di L all'interno di una [[Arch Structure/it|Struttura]]}}
  
# Creare un elemento [[Arch Structure/it|Struttura]]
+
== Utilizzo ==
# Selezionare una qualsiasi faccia della struttura
 
# Selezionare  {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} dagli strumenti Armatura
 
# Sul lato sinistro dello schermo appare un pannello delle azioni come il seguente [[Image:LShapeDialog.png]]
 
# Selezionare l'orientamento desiderato
 
# Fornire i dati per front cover, right side cover, left side cover, bottom cover, top cover, rounding factor and diameter of the rebar
 
# Selezionare la modalità di distribuzione per la quantità e per la spaziatura
 
# Se la spaziatura è selezionata, l'utente può anche optare per una  [[Custom_Spacing/it|spaziatura personalizzata]]
 
# Cliccare sulla faccia selezionata serve per verificare o modificare la faccia per la distribuzione dell'armatura
 
# Cliccare {{KEY|OK}} o {{KEY|Apply}} per generare l'armatura
 
# Cliccare {{KEY|Cancel}} per uscire dal pannello delle azioni
 
  
==Proprietà==
+
# Selezionare una qualsiasi faccia dell'oggetto {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/it|Struttura]]}} creato in precedenza.
 +
# Quindi selezionare {{Button|[[Image:Arch_Rebar_LShape.svg|16px]] [[Arch Rebar LShape/it|Armatura a L]]}} dagli strumenti dell'armatura.
 +
# Sul lato sinistro dello schermo appare un [[task panel/it|pannello delle azioni]] come sottostante.
 +
# Selezionare l'orientamento desiderato.
 +
# Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
 +
# Selezionare la modalità di distribuzione 'Amount' o 'Spacing' (quantità o spaziatura).
 +
# Se è selezionata 'Spacing', la spaziatura, l'utente può anche optare per una  [[Custom_Spacing/it|spaziatura personalizzata]].
 +
# {{Button|Pick Selected Face}} serve per verificare o modificare la faccia per la distribuzione dell'armatura.
 +
# Cliccare {{Button|OK}} o {{Button|Apply}} per generare l'armatura.
 +
# Cliccare {{Button|Cancel}} per uscire dal pannello delle azioni.
 +
:[[Image:LShapeDialog.png|250px]]
 +
{{Caption|Pannello Azioni per lo strumento Armatura a L di Arch}}
  
* {{PropertyData|Orientation}}: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
+
== Proprietà ==
* {{PropertyData|Front Cover}}: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
 
* {{PropertyData|Right Cover}}: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
 
* {{PropertyData|Left Cover}}: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
 
* {{PropertyData|Bottom Cover}}: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
 
* {{PropertyData|Top Cover}}: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
 
* {{PropertyData|Rounding}}: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
 
* {{PropertyData|Amount}}: La quantità di barre.
 
* {{PropertyData|Spacing}}: La distanza tra gli assi di ogni barra.
 
  
==Script==
+
* {{PropertyData/it|Orientation}}: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
 +
* {{PropertyData/it|Front Cover}}: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
 +
* {{PropertyData/it|Right Cover}}: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
 +
* {{PropertyData/it|Left Cover}}: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
 +
* {{PropertyData/it|Bottom Cover}}: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
 +
* {{PropertyData/it|Top Cover}}: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
 +
* {{PropertyData/it|Rounding}}: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
 +
* {{PropertyData/it|Amount}}: La quantità di barre.
 +
* {{PropertyData/it|Spacing}}: La distanza tra gli assi di ogni barra.
  
Lo strumento {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] Armatura a L}} può essere usato nelle [[macros/it|macro]] e dalla console python utilizzando la seguente funzione:
+
==Scripting==
 +
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]], [[Reinforcement API/it|API Reinforcement]] e [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]].
  
 +
Lo strumento Armatura a L può essere utilizzato nelle [[macros/it|macro]] e dalla console [[Python/it|Python]] tramite la seguente funzione:
 
{{Code|code=
 
{{Code|code=
makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
+
Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
 +
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
 +
                        structure=None, facename=None):
 
}}
 
}}
*  L'armatura a L può avere quattro diversi orientamenti:
 
** Bottom Right
 
** Bottom Left
 
** Top Right
 
** Top Left
 
* Aggiunge un oggetto armatura UShape all'oggetto strutturale specificato.
 
* Se Structure e Facename non sono fornite, prende come input la faccia selezionata dall'utente.
 
* Here CoverAlong argument is having type tuple.
 
* Restituisce il nuovo oggetto Rebar.
 
  
Esempio:
+
* Crea un oggetto {{incode|Rebar}} dalla {{incode|structure}} data, che è una [[Arch Structure/it|Struttura]], e da una {{incode|facename}}, che è una faccia di quella struttura.
Creare una armatura a L (LShape).
+
** Se non è data nessuna {{incode|structure}} e neppure una {{incode|facename}}, prende come riferimento la faccia selezionata dall'utente.
 +
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|l_cover}}, {{incode|r_cover}}, e {{incode|t_cover}} sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
 +
* {{incode|diameter}} è il diametro delle barre di rinforzo all'interno della struttura.
 +
* {{incode|rounding}} è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
 +
* Se {{incode|amount_spacing_check}} è {{incode|True}} crea tante barre di rinforzo quante sono definite da {{incode|amount_spacing_value}}; se è {{incode|False}} crea le barre di rinforzo separate dal valore numerico indicato in {{incode|amount_spacing_value}}.
 +
* {{incode|amount_spacing_value}} specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in {{incode|amount_spacing_check}}.
 +
* {{incode|orientation}} specifica l'orientamento della barra d'armatura; può essere {{incode|"Bottom Right"}}, {{incode|"Bottom Left"}}, {{incode|"Top Right"}}, o {{incode|"Top Left"}}.
 +
 
 +
=== Esempio ===
 
{{Code|code=
 
{{Code|code=
import Arch, LShapeRebar
+
import FreeCAD, Arch, LShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
+
 
structure.ViewObject.Transparency = 80
+
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
 +
Structure.ViewObject.Transparency = 80
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1")
+
 
 +
Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
 +
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
 +
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)
 +
 
 +
Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
 +
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
 +
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)  
 
}}
 
}}
  
Cambiare le proprietà di una armatura LShape.
+
=== Modifica delle barre ===
 +
È possibile modificare le proprietà dell'armatura con la seguente funzione:
 +
{{Code|code=
 +
editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
 +
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
 +
                structure=None, facename=None)
 +
}}
 +
 
 +
* {{incode|Rebar}} è l'oggetto {{incode|LShapeRebar}} creato in precedenza.
 +
* Gli altri parametri sono gli stessi richiesti dalla funzione {{incode|makeLShapeRebar()}}.
 +
* {{incode|structure}} e {{incode|facename}} possono essere omesse in modo che l'armatura rimanga nella struttura originale.
 +
 
 
{{Code|code=
 
{{Code|code=
 
import LShapeRebar
 
import LShapeRebar
LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")
+
 
 +
LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
 +
                            12, 50, 6, True, 5, "Top Right")
 +
 
 +
LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
 +
                            12, 70, 6, True, 5, "Top Right")
 
}}
 
}}
 +
<div class="mw-translate-fuzzy">
 +
{{Docnav/it
 +
|[[Arch_Rebar_UShape/it|Armatura ad U]]
 +
|[[Arch_Rebar_BentShape/it|Armatura sagomata]]
 +
|[[Arch_Workbench/it|Arch]]
 +
|IconL=Arch_Rebar_UShape.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Rebar_BentShape.svg
 +
}}
 +
</div>
 +
 +
{{Arch Tools navi{{#translation:}}}}
 +
 +
{{Userdocnavi{{#translation:}}}}
 +
 +
[[Category:Reinforcement{{#translation:}}]]

Latest revision as of 20:56, 3 November 2021

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский
Arrow-left.svg Pagina precedente: Arch Rebar UShape.svg Armatura ad U
Pagina successiva: Armatura sagomata Arch Rebar BentShape.svg Arrow-right.svg

Arch Rebar LShape.svg Armatura a L

Posizione nel menu
Arch → Strumenti armatura → Armatura a L o BIM → 3D/BIM → Reinforcement → LShape Rebar
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Armatura sagomata, Armature

Descrizione

Lo strumento Armatura a L consente all'utente di creare un set di barre d'armatura a forma di L all'interno di un oggetto Struttura.

Lo strumento Armatura a L è anche integrato in BIM.

Questo comando fa parte dell'ambiente Reinforcement, un ambiente esterno che si può installare con Std AddonMgr.svg Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar LShape example.png

Quattro serie di barre di rinforzo a forma di L all'interno di una Struttura

Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar LShape.svg Armatura a L dagli strumenti dell'armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
  6. Selezionare la modalità di distribuzione 'Amount' o 'Spacing' (quantità o spaziatura).
  7. Se è selezionata 'Spacing', la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Pick Selected Face serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Apply per generare l'armatura.
  10. Cliccare Cancel per uscire dal pannello delle azioni.
LShapeDialog.png

Pannello Azioni per lo strumento Armatura a L di Arch

Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. verso il basso, verso l'alto, a destra o a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiRounding: Il raggio di curvatura da applicare agli angoli delle barre, espresso quantità di diametro delle barre.
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Armatura a L può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • f_cover, b_cover, l_cover, r_cover, e t_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset anteriore, inferiore, sinistro, destro e superiore.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • rounding è il parametro che determina il raggio di curvatura al centro delle barre di armatura.
  • Se amount_spacing_check è True crea tante barre di rinforzo quante sono definite da amount_spacing_value; se è False crea le barre di rinforzo separate dal valore numerico indicato in amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicate in amount_spacing_check.
  • orientation specifica l'orientamento della barra d'armatura; può essere "Bottom Right", "Bottom Left", "Top Right", o "Top Left".

Esempio

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar è l'oggetto LShapeRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeLShapeRebar().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")
Arrow-left.svg Pagina precedente: Arch Rebar UShape.svg Armatura ad U
Pagina successiva: Armatura sagomata Arch Rebar BentShape.svg Arrow-right.svg